View Issue Details

IDProjectCategoryView StatusLast Update
0005784Talermechant backendpublic2019-09-16 09:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005784: Wire response file creation fails when intermediate folder does not exist
DescriptionThe merchant fails to deploy a JSON file under "[account-*]/wire_response = path", if one directory of the path is not found.

Instead, it should create those missing directories before trying to deploy the data (just as the exchange does!).
Steps To ReproduceMake sure the following config block exists:

[account-merchant]
wire_response = /some/path/merchant.json
url = payto:///url
plugin = taler_bank
taler_bank_auth_method = basic
username = x
passowrd = x
wire_file_mode = 770

*and*

make sure the "path" subfolder does not exist.

Then, launch the merchant:

$ taler-merchant-httpd

TagsNo tags attached.

Activities

Marcello Stanisci

2019-06-28 18:41

manager   ~0014615

Fixed: b201c2d..781414d.

Issue History

Date Modified Username Field Change
2019-06-27 10:29 Marcello Stanisci New Issue
2019-06-27 10:29 Marcello Stanisci Status new => assigned
2019-06-27 10:29 Marcello Stanisci Assigned To => Marcello Stanisci
2019-06-27 10:29 Marcello Stanisci Assigned To Marcello Stanisci =>
2019-06-28 18:41 Marcello Stanisci Note Added: 0014615
2019-06-28 18:41 Marcello Stanisci Assigned To => Marcello Stanisci
2019-06-28 18:41 Marcello Stanisci Status assigned => resolved
2019-06-28 18:41 Marcello Stanisci Resolution open => fixed
2019-09-16 09:18 Christian Grothoff Product Version => SVN HEAD
2019-09-16 09:18 Christian Grothoff Fixed in Version => 0.6
2019-09-16 09:18 Christian Grothoff Target Version => 0.6